<?php
/*
require('../config/dbcon.php');
    $query = "SELECT timeout from timeout_mst";
    $rs = mysqli_query($connect, $query) or die("Cannot execute query: $query\n");
    while ($row = mysqli_fetch_assoc($rs)) {
    	$timeout = $row['timeout'];
    }
    $query = "select screenwidth from width_mst";
    $rs = mysqli_query($connect, $query) or die("Cannot execute query: $query\n");
    while ($row = mysqli_fetch_assoc($rs)) {
    	$width = $row['screenwidth'];
    }
    $width = $width . "px";
    //$width = '2000';
session_start();
if(isset($_SESSION["user"]))
{
 if((time() - $_SESSION['last_time']) > $timeout) // Time in Seconds
 {
 header("location:../login/logout.php");
 }
 else
 {
 $_SESSION['last_time'] = time();

 }
}
else
{
 header('Location:../login/index.php');
}
*/
?>
<html>
<head>
<title>DbViewer</title>
<script src='../js/jquery-3.1.1.min.js' type='text/javascript'></script>
<script src='../js/jquery-ui.min.js' type='text/javascript'></script>
<link href="../css/style.css" rel="stylesheet" />
<link href="../css/style1.css" rel="stylesheet" />
<link href='../css/jquery-ui.min.css' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../css/all.css">
<link href="../css/bootstrap.min.css" rel="stylesheet" />
<link href="../css/font-awesome.min.css" rel="stylesheet" />
<link href="../css/styleg.css" rel="stylesheet" />
<script type="text/javascript" src="../js/jquery.placeholder.label.js"></script>
<?php
include('../config/dbcon.php');
	$query = "SELECT noofrow FROM noofrow_mst WHERE description='noofrow'"; 
	$rs = mysqli_query($connect, $query) or die("Cannot execute query: $query\n");
	while ($row = mysqli_fetch_assoc($rs)) {
		$noofrow     = $row['noofrow'];
	}
?>
	</head>
	<body style="width: <?php echo $width; ?>;">
    <div style="width: <?php echo $width; ?>; align="center">
	    <nav class="navbar navbar-expand-lg navbar-dark bg-primary" style="width: <?php echo $width; ?>; height: 62px; margin-top: -0px; background-color: #007bff; font-size:24px;">
            <input style = "background-color: #007bff; font-size:24px; width:100px; height : 55px; margin-top : px;" type="button" onclick="location.href='../main/index';" value="Home">
            <h1 style="color:white; font-size:24px; margin-top: -40px;" class="text-primary" align="center">DbViewer</h1>
            <h1 style="color:white; font-size:24px; margin-top : -40px;margin-right :20px;" class="text-primary" id="demo2" align="right"></h1>
        </nav>
        <div class="row" class="container" style= "width:1600px;float: right; font-size:16px;">
        	<div id="TotalTable"></div>
        </div>
		<div  style="width: 300px; height: 45px; class = container">
			<div class="form-group">
				<div class="input-group">
					<input style ="margin-left : 0px; width : 300px; height:40px; font-size:20px; font-weight:bold;" name="search_text" id="search_text" type="text" placeholder="Search Table Name" alt="search">
				</div>
			</div>
		</div>
		
		<div style="width: 300px; height: 800px; margin-right: 20px; overflow: scroll" id="result"></div>
		</div>
</body>
</html>
<?php
	$date = new DateTime();
	$current_timestamp = $date->getTimestamp();
?>
<script>
$( "#search_text" ).autocomplete({
	source: function( request, response ) {
		$.ajax({
			url: "fetchcustomer",
			type: 'post',
			dataType: "json",
			data: {
				search: request.term
			},
			success: function( data ) {
				response( data );
			}
		});
	},
	select: function (event, ui) {
		$('#search_text').val(ui.item.label);
		//updatecustcode();
		return false;
	}
});
function updatecustcode() {
	var customer_code = document.getElementById('customer_code').value
  $.ajax({
    url: "updatecustcode",
	type: 'post',
				dataType: "json",
				data: {
					customer_code:customer_code,
				},
    success: function() {
		
    }
  });
}
</script>
<script>
	flag_time = true;
	timer = '';
	setInterval(function(){phpJavascriptClock();},1000);
	
	function phpJavascriptClock()
	{
		if ( flag_time ) {
		timer = <?php echo $current_timestamp;?>*1000;
		}
		var d = new Date(timer);
		months = new Array('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sept', 'Oct', 'Nov', 'Dec');
		
		month_array = new Array('January', 'Febuary', 'March', 'April', 'May', 'June', 'July', 'Augest', 'September', 'October', 'November', 'December');
		
		day_array = new Array( 'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday');
		
		currentYear = d.getFullYear();
		month = d.getMonth();
		var currentMonth = months[month];
		var currentMonth1 = month_array[month];
		var currentDate = d.getDate();
		currentDate = currentDate < 10 ? '0'+currentDate : currentDate;
		
		var day = d.getDay();
		current_day = day_array[day];
		var hours = d.getHours();
		var minutes = d.getMinutes();
		var seconds = d.getSeconds();
		
		var ampm = hours >= 12 ? 'PM' : 'AM';
		hours = hours % 12;
		hours = hours ? hours : 12; // the hour ’0′ should be ’12′
		minutes = minutes < 10 ? '0'+minutes : minutes;
		seconds = seconds < 10 ? '0'+seconds : seconds;
		var strTime = hours + ':' + minutes+ ':' + seconds + ' ' + ampm;
		timer = timer + 1000;
		document.getElementById("demo2").innerHTML='Date : ' + currentDate+'-' +(month+1)+'-' +currentYear + ' Time : ' + strTime ;
		flag_time = false;
	}

</script>
<script>
$(document).ready(function(){
	load_data();
	ShowTotal();
	function load_data(query)
	{
		$.ajax({
			url:"search",
			method:"post",
			data:{query:query},
			success:function(data)
			{
				$('#result').html(data);
			}
		});
	}
	
	$('#search_text').keyup(function(){
		var search = $(this).val();
		if(search != '')
		{
			load_data(search);
		}
		else
		{
			load_data();
			ShowTotal();
		}
	});
	function ShowTotal(){
		$.ajax({
			url: 'showtotal',
			type: 'POST',
			async: false,
			data:{
				show: 1
			},
			success: function(response){
				$('#TotalTable').html(response);
				convertNumberToWords();
			}
		});
	}
});
</script>
<script type="text/javascript">
function exportToExcel(tableID, filename = ''){
    var downloadurl;
    var dataFileType = 'application/vnd.ms-excel';
    var tableSelect = document.getElementById(tableID);
    var tableHTMLData = tableSelect.outerHTML.replace(/ /g, '%20');
    
    // Specify file name
    filename = filename?filename+'.xls':'export_excel_data.xls';
    
    // Create download link element
    downloadurl = document.createElement("a");
    
    document.body.appendChild(downloadurl);
    
    if(navigator.msSaveOrOpenBlob){
        var blob = new Blob(['\ufeff', tableHTMLData], {
            type: dataFileType
        });
        navigator.msSaveOrOpenBlob( blob, filename);
    }else{
        // Create a link to the file
        downloadurl.href = 'data:' + dataFileType + ', ' + tableHTMLData;
    
        // Setting the file name
        downloadurl.download = filename;
        
        //triggering the function
        downloadurl.click();
    }
} 
</script>